//===============================================================
// package : com.tetrasix.majix.rtf
// class : com.tetrasix.majix.RtfCell
//===============================================================
// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you may not use this file except in
// compliance with the License. You may obtain a copy of the License at
// http://www.mozilla.org/MPL/
//
// Software distributed under the License is distributed on an "AS IS"
// basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
// License for the specific language governing rights and limitations
// under the License.
//
// The Original Code is TetraSys code.
//
// The Initial Developer of the Original Code is TetraSys..
// Portions created by TetraSys are 
// Copyright (C) 1998-2000 TetraSys. All Rights Reserved.
//
// Contributor(s): Arne Jans, Quinscape GmbH (www.quinscape.de)
//===============================================================


/**
 *
 * @version 1.1
 */


package vkc.converter.rtf;

import vkc.converter.RTFExtractor;

import java.io.PrintWriter;

public class RtfCell extends RtfCompoundObject {

	private RtfCellProperties _properties;

	RtfCell()
	{
		_properties = new RtfCellProperties();
	}

	void setProperties(RtfCellProperties properties)
	{
		if (properties != null) {
			_properties = (RtfCellProperties)properties.clone();
		}
	}

	public RtfCellProperties getProperties()
	{
		return _properties;
	}

	void Dump(PrintWriter out)
	{
		out.print("<cell");
		if (_properties != null) {
			_properties.Dump(out);
		}
		out.println(">");
		super.Dump(out);
		out.println("</cell>");
	}

	public void generate(RTFExtractor ex) {
        //System.out.println(this);
        ex.analyse(this);
	}
}

